Bug 1230036 - The column name disk_storage_type was not found in this ResultSet.
Summary: The column name disk_storage_type was not found in this ResultSet.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-3.6.1
: 3.6.0
Assignee: Daniel Erez
QA Contact: Natalie Gavrielov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-10 07:36 UTC by Stephen Gordon
Modified: 2019-10-10 09:51 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 21:07:17 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 47253 None None None Never
oVirt gerrit 1269531 None None None Never

Description Stephen Gordon 2015-06-10 07:36:59 UTC
Description of problem:

Browsing my engine.log for another issue (same specific user as seen in this report seems to be encountering similar symptoms to those in Bug # 1223838) I came across this:

2015-06-09 07:23:24,653 ERROR [org.ovirt.engine.core.bll.SearchQuery] (ajp-/127.0.0.1:8702-9) Query SearchQuery failed. Exception message is StatementCallback; bad SQL grammar [SELECT * FROM ((SELECT distinct vms.* FROM  vms   WHERE  vms.
vds_group_name LIKE 'EAP\\_Productization' )  ORDER BY vm_name ASC ) as T1 OFFSET (1 -1) LIMIT 100]; nested exception is org.postgresql.util.PSQLException: The column name disk_storage_type was not found in this ResultSet. : org.springfra
mework.jdbc.BadSqlGrammarException: StatementCallback; bad SQL grammar [SELECT * FROM ((SELECT distinct vms.* FROM  vms   WHERE  vms.vds_group_name LIKE 'EAP\\_Productization' )  ORDER BY vm_name ASC ) as T1 OFFSET (1 -1) LIMIT 100]; nest
ed exception is org.postgresql.util.PSQLException: The column name disk_storage_type was not found in this ResultSet.: org.springframework.jdbc.BadSqlGrammarException: StatementCallback; bad SQL grammar [SELECT * FROM ((SELECT distinct vm
s.* FROM  vms   WHERE  vms.vds_group_name LIKE 'EAP\\_Productization' )  ORDER BY vm_name ASC ) as T1 OFFSET (1 -1) LIMIT 100]; nested exception is org.postgresql.util.PSQLException: The column name disk_storage_type was not found in this
 ResultSet.

Version-Release number of selected component (if applicable):

# rpm -qa | grep rhev
rhevm-setup-base-3.5.1.1-0.1.el6ev.noarch
rhevm-websocket-proxy-3.5.1.1-0.1.el6ev.noarch
rhevm-tools-3.5.1.1-0.1.el6ev.noarch
rhevm-image-uploader-3.5.0-4.el6ev.noarch
rhevm-doc-3.5.0-5.el6eng.noarch
rhevm-setup-plugin-websocket-proxy-3.5.1.1-0.1.el6ev.noarch
rhevm-restapi-3.5.1.1-0.1.el6ev.noarch
rhevm-setup-plugin-ovirt-engine-3.5.1.1-0.1.el6ev.noarch
rhevm-dependencies-3.5.1-1.el6ev.noarch
rhevm-iso-uploader-3.5.1-1.el6ev.noarch
rhevm-userportal-3.5.1.1-0.1.el6ev.noarch
rhevm-backend-3.5.1.1-0.1.el6ev.noarch
rhevm-spice-client-x64-cab-3.4-4.el6_5.noarch
rhevm-doc-ja-JP-3.4.0-0.el6eng.noarch
rhevm-cli-3.5.0.5-1.el6ev.noarch
rhevm-lib-3.5.1.1-0.1.el6ev.noarch
rhevm-setup-plugins-3.5.1-2.el6ev.noarch
rhevm-log-collector-3.5.1-1.el6ev.noarch
rhevm-extensions-api-impl-3.5.1.1-0.1.el6ev.noarch
rhevm-dbscripts-3.5.1.1-0.1.el6ev.noarch
rhevm-spice-client-x86-msi-3.4-4.el6_5.noarch
rhevm-spice-client-x86-cab-3.4-4.el6_5.noarch
rhevm-sdk-python-3.5.0.8-2.el6ev.noarch
rhevm-setup-3.5.1.1-0.1.el6ev.noarch
rhevm-webadmin-portal-3.5.1.1-0.1.el6ev.noarch
rhevm-spice-client-x64-msi-3.4-4.el6_5.noarch
redhat-support-plugin-rhev-3.5.0-1.el6ev.noarch
rhevm-setup-plugin-ovirt-engine-common-3.5.1.1-0.1.el6ev.noarch
rhevm-branding-rhev-3.5.0-3.el6ev.noarch
rhevm-3.5.1.1-0.1.el6ev.noarch
rhev-guest-tools-iso-3.4-9.el6ev.noarch

How reproducible:

Unclear, appears several times in my logs.

Additional info:

2015-06-09 07:23:09,772 ERROR [org.ovirt.engine.core.bll.SearchQuery] (ajp-/127.0.0.1:8702-8) Query SearchQuery failed. Exception message is StatementCallback; bad SQL grammar [SELECT * FROM ((SELECT distinct vms.* FROM  vms   WHERE  vms.
vds_group_name LIKE 'EAP\\_Productization' )  ORDER BY vm_name ASC ) as T1 OFFSET (1 -1) LIMIT 100]; nested exception is org.postgresql.util.PSQLException: The column name disk_storage_type was not found in this ResultSet. : org.springfra
mework.jdbc.BadSqlGrammarException: StatementCallback; bad SQL grammar [SELECT * FROM ((SELECT distinct vms.* FROM  vms   WHERE  vms.vds_group_name LIKE 'EAP\\_Productization' )  ORDER BY vm_name ASC ) as T1 OFFSET (1 -1) LIMIT 100]; nest
ed exception is org.postgresql.util.PSQLException: The column name disk_storage_type was not found in this ResultSet.: org.springframework.jdbc.BadSqlGrammarException: StatementCallback; bad SQL grammar [SELECT * FROM ((SELECT distinct vm
s.* FROM  vms   WHERE  vms.vds_group_name LIKE 'EAP\\_Productization' )  ORDER BY vm_name ASC ) as T1 OFFSET (1 -1) LIMIT 100]; nested exception is org.postgresql.util.PSQLException: The column name disk_storage_type was not found in this
 ResultSet.
        at org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:98) [spring-jdbc.jar:3.1.1.RELEASE]
        at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:72) [spring-jdbc.jar:3.1.1.RELEASE]
        at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:80) [spring-jdbc.jar:3.1.1.RELEASE]
        at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:80) [spring-jdbc.jar:3.1.1.RELEASE]
        at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:407) [spring-jdbc.jar:3.1.1.RELEASE]
        at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:456) [spring-jdbc.jar:3.1.1.RELEASE]
        at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:464) [spring-jdbc.jar:3.1.1.RELEASE]
        at org.ovirt.engine.core.dao.DiskDaoDbFacadeImpl.getAllWithQuery(DiskDaoDbFacadeImpl.java:103) [dal.jar:]
        at org.ovirt.engine.core.bll.SearchQuery.genericSearch(SearchQuery.java:269) [bll.jar:]
        at org.ovirt.engine.core.bll.SearchQuery.genericSearch(SearchQuery.java:257) [bll.jar:]
        at org.ovirt.engine.core.bll.SearchQuery.searchDisk(SearchQuery.java:299) [bll.jar:]
        at org.ovirt.engine.core.bll.SearchQuery.executeQueryCommand(SearchQuery.java:117) [bll.jar:]
        at org.ovirt.engine.core.bll.QueriesCommandBase.executeCommand(QueriesCommandBase.java:73) [bll.jar:]
        at org.ovirt.engine.core.dal.VdcCommandBase.execute(VdcCommandBase.java:31) [dal.jar:]
        at org.ovirt.engine.core.bll.Backend.runQueryImpl(Backend.java:497) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runQuery(Backend.java:471) [bll.jar:]
        at sun.reflect.GeneratedMethodAccessor89.invoke(Unknown Source) [:1.7.0_71]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_71]
        at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_71]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52) [jboss-as-ee.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63) [jboss-as-ee.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.ovirt.engine.core.bll.interceptors.ThreadLocalSessionCleanerInterceptor.injectWebContextToThreadLocal(ThreadLocalSessionCleanerInterceptor.java:13) [bll.jar:]
        at sun.reflect.GeneratedMethodAccessor88.invoke(Unknown Source) [:1.7.0_71]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_71]
        at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_71]
        at org.jboss.as.ee.component.ManagedReferenceLifecycleMethodInterceptor.processInvocation(ManagedReferenceLifecycleMethodInterceptor.java:89) [jboss-as-ee.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63) [jboss-as-ee.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [jboss-as-ejb3.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.weld.ejb.EjbRequestScopeActivationInterceptor.processInvocation(EjbRequestScopeActivationInterceptor.java:73) [jboss-as-weld.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:53) [jboss-as-ee.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:52) [jboss-as-ejb3.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:259) [jboss-as-ejb3.jar:7.4.2.Final-redhat-2]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:398) [jboss-as-ejb3.jar:7.4.2.Final-redhat-2]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:242) [jboss-as-ejb3.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.component.invocationmetrics.WaitTimeInterceptor.processInvocation(WaitTimeInterceptor.java:43) [jboss-as-ejb3.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64) [jboss-as-ejb3.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:59) [jboss-as-ejb3.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50) [jboss-as-ee.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:185) [jboss-as-ee.jar:7.4.2.Final-redhat-2]
        at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:182) [jboss-as-ee.jar:7.4.2.Final-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:73) [jboss-as-ee.jar:7.4.2.Final-redhat-2]
        at org.ovirt.engine.core.common.interfaces.BackendLocal$$$view6.runQuery(Unknown Source) [common.jar:]
        at org.ovirt.engine.ui.frontend.server.gwt.GenericApiGWTServiceImpl.runQuery(GenericApiGWTServiceImpl.java:56)
        at org.ovirt.engine.ui.frontend.server.gwt.GenericApiGWTServiceImpl.runMultipleQueries(GenericApiGWTServiceImpl.java:87)
        at sun.reflect.GeneratedMethodAccessor120.invoke(Unknown Source) [:1.7.0_71]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_71]
        at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_71]
        at com.google.gwt.rpc.server.RPC.invokeAndStreamResponse(RPC.java:196)
        at com.google.gwt.rpc.server.RpcServlet.processCall(RpcServlet.java:172)
        at com.google.gwt.rpc.server.RpcServlet.processPost(RpcServlet.java:233)
        at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:754) [jboss-servlet-api_3.0_spec.jar:1.0.2.Final-redhat-1]
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec.jar:1.0.2.Final-redhat-1]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.ovirt.engine.core.utils.servlet.HeaderFilter.doFilter(HeaderFilter.java:94) [utils.jar:]
       at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.ovirt.engine.ui.frontend.server.gwt.GwtCachingFilter.doFilter(GwtCachingFilter.java:132)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.ovirt.engine.core.branding.BrandingFilter.doFilter(BrandingFilter.java:72)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.ovirt.engine.core.utils.servlet.LocaleFilter.doFilter(LocaleFilter.java:64) [utils.jar:]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.ovirt.engine.core.aaa.filters.SessionMgmtFilter.doFilter(SessionMgmtFilter.java:31) [aaa.jar:]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.ovirt.engine.core.aaa.filters.LoginFilter.doFilter(LoginFilter.java:74) [aaa.jar:]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.ovirt.engine.core.aaa.filters.NegotiationFilter.doFilter(NegotiationFilter.java:113) [aaa.jar:]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.ovirt.engine.core.aaa.filters.BasicAuthenticationFilter.doFilter(BasicAuthenticationFilter.java:90) [aaa.jar:]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.ovirt.engine.core.aaa.filters.SessionValidationFilter.doFilter(SessionValidationFilter.java:73) [aaa.jar:]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:231)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149)
        at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:512)
        at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)
        at org.jboss.web.rewrite.RewriteValve.invoke(RewriteValve.java:466)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:344)
        at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:490)
        at org.apache.coyote.ajp.AjpProtocol$AjpConnectionHandler.process(AjpProtocol.java:420)
        at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:926)
        at java.lang.Thread.run(Thread.java:745) [rt.jar:1.7.0_71]
Caused by: org.postgresql.util.PSQLException: The column name disk_storage_type was not found in this ResultSet.
        at org.postgresql.jdbc2.AbstractJdbc2ResultSet.findColumn(AbstractJdbc2ResultSet.java:2550)
        at org.postgresql.jdbc2.AbstractJdbc2ResultSet.getInt(AbstractJdbc2ResultSet.java:2414)
        at org.jboss.jca.adapters.jdbc.WrappedResultSet.getInt(WrappedResultSet.java:1073)
        at org.ovirt.engine.core.dao.DiskDaoDbFacadeImpl$DiskRowMapper.mapRow(DiskDaoDbFacadeImpl.java:116) [dal.jar:]
        at org.ovirt.engine.core.dao.DiskDaoDbFacadeImpl$DiskRowMapper.mapRow(DiskDaoDbFacadeImpl.java:106) [dal.jar:]
        at org.springframework.jdbc.core.RowMapperResultSetExtractor.extractData(RowMapperResultSetExtractor.java:92) [spring-jdbc.jar:3.1.1.RELEASE]
        at org.springframework.jdbc.core.RowMapperResultSetExtractor.extractData(RowMapperResultSetExtractor.java:1) [spring-jdbc.jar:3.1.1.RELEASE]
        at org.springframework.jdbc.core.JdbcTemplate$1QueryStatementCallback.doInStatement(JdbcTemplate.java:446) [spring-jdbc.jar:3.1.1.RELEASE]
        at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:396) [spring-jdbc.jar:3.1.1.RELEASE]
        ... 122 more

Comment 1 Stephen Gordon 2015-06-10 07:43:14 UTC
As my versions are bit out of wack here I am going to try get to 3.5.3 and see if this persists.

Comment 2 Stephen Gordon 2015-06-10 11:28:44 UTC
Looking in the database these are the most recent schema versions applied:

 03051190 | INSTALLED
 03051200 | INSTALLED
 03051210 | INSTALLED
 03051220 | INSTALLED
 03051230 | INSTALLED

Comment 3 Yaniv Lavi 2015-06-29 09:50:46 UTC
What is the status of this?

Comment 4 Tal Nisan 2015-06-30 11:00:53 UTC
Stephen, I can't seem to reproduce this issue, can you check on 3.5.4 if this issue reproduces and if so provide clearer steps to reproduce?

Comment 7 Markus Stockhausen 2015-09-11 08:50:59 UTC
This error is still present in Ovirt 3.5.4. It occurs only if you open the snapshot panel of an VM. Due to the refresh logic you will hit the error every n seconds. Even if the VM has no snapshots.

Comment 8 Markus Stockhausen 2015-09-11 09:15:13 UTC
Additional info. It does not always show up. I retried my test case two times and was unable to reproduce the error. Although the messages showed up a minute ago with the same test.

Maybe depends on the way how you reach the snapshot panel?

Comment 9 Sandro Bonazzola 2015-10-26 12:30:02 UTC
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high

Comment 10 Daniel Erez 2015-10-29 07:43:13 UTC
Seems similar to the issue described in bug 1269531. Should be handled by the same fix.

Comment 11 Allon Mureinik 2015-10-29 08:25:34 UTC
(In reply to Daniel Erez from comment #10)
> Seems similar to the issue described in bug 1269531. Should be handled by
> the same fix.
Moving to ON_QA based on that comment.

Comment 12 Natalie Gavrielov 2015-11-03 14:19:08 UTC
Daniel,

AFAIU, the scenario described here is removing a storage domain (and making sure these errors don't show up).
Issue 1269531 is missing steps to reproduce, and also was already verified.

Anything else I should test? (a different scenario maybe?)

Comment 13 Daniel Erez 2015-11-04 07:25:20 UTC
(In reply to Natalie Gavrielov from comment #12)
> Daniel,
> 
> AFAIU, the scenario described here is removing a storage domain (and making
> sure these errors don't show up).
> Issue 1269531 is missing steps to reproduce, and also was already verified.
> 
> Anything else I should test? (a different scenario maybe?)

In 1269531, the reproducing steps are:
* Navigate to Disks main-tab.
* Select an item on system-tree.

So probably worth testing that scenario as well.

Comment 14 Natalie Gavrielov 2015-11-04 15:02:20 UTC
Scenarios described in comment #13 and comment #12 were tested.

Verified using rhevm-3.6.0.3-0.1.el6.noarch

Comment 15 william 2015-12-02 12:31:59 UTC
I see the message "The column name disk_storage_type was not found in this ResultSet" when trying to add an ISO NFS domain to the datacenter.

# rpm -qa | grep rhev
rhevm-setup-plugin-ovirt-engine-common-3.5.5-0.1.el6ev.noarch
rhevm-restapi-3.5.5-0.1.el6ev.noarch
rhevm-backend-3.5.5-0.1.el6ev.noarch
rhevm-cli-3.5.0.6-1.el6ev.noarch
rhevm-log-collector-3.5.4-2.el6ev.noarch
rhevm-spice-client-x64-cab-3.5-3.el6.noarch
rhevm-setup-plugin-ovirt-engine-3.5.5-0.1.el6ev.noarch
rhevm-iso-uploader-3.5.1-1.el6ev.noarch
rhev-guest-tools-iso-3.5-9.el6ev.noarch
rhevm-branding-rhev-3.5.0-4.el6ev.noarch
rhevm-lib-3.5.5-0.1.el6ev.noarch
rhevm-websocket-proxy-3.5.5-0.1.el6ev.noarch
rhevm-dbscripts-3.5.5-0.1.el6ev.noarch
rhevm-webadmin-portal-3.5.5-0.1.el6ev.noarch
rhevm-spice-client-x64-msi-3.5-3.el6.noarch
rhevm-3.5.5-0.1.el6ev.noarch
rhevm-extensions-api-impl-3.5.5-0.1.el6ev.noarch
rhevm-sdk-python-3.5.5.0-1.el6ev.noarch
rhevm-setup-plugin-websocket-proxy-3.5.5-0.1.el6ev.noarch
redhat-support-plugin-rhev-3.5.0-1.el6ev.noarch
rhevm-spice-client-x86-cab-3.5-3.el6.noarch
rhevm-setup-3.5.5-0.1.el6ev.noarch
rhevm-spice-client-x86-msi-3.5-3.el6.noarch
rhevm-setup-plugins-3.5.4-1.el6ev.noarch
rhevm-image-uploader-3.5.0-4.el6ev.noarch
rhevm-setup-base-3.5.5-0.1.el6ev.noarch
rhevm-tools-3.5.5-0.1.el6ev.noarch
rhevm-userportal-3.5.5-0.1.el6ev.noarch
rhevm-dependencies-3.5.1-1.el6ev.noarch
rhevm-doc-3.5.3-1.el6eng.noarch

Is there any workarounds to add the domain?

Comment 17 errata-xmlrpc 2016-03-09 21:07:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.